package com.simuwang.manage.service.impl;

import com.simuwang.base.mapper.FundNotMappingMapper;
import com.simuwang.base.pojo.dos.FundNotMappingInfoDO;
import com.simuwang.manage.service.FundNotMappingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FundNotMappingServiceImpl implements FundNotMappingService {
    @Autowired
    private FundNotMappingMapper fundNotMappingMapper;
    
    @Override
    public void batchInsert(List<FundNotMappingInfoDO> fundNotMappingInfoDOList) {
        for (FundNotMappingInfoDO fundNotMappingInfoDO : fundNotMappingInfoDOList) {
            FundNotMappingInfoDO oldFundNotMappingInfoDO = fundNotMappingMapper.getFundNotMappingInfo(fundNotMappingInfoDO);
            if(oldFundNotMappingInfoDO != null){
                fundNotMappingInfoDO.setId(oldFundNotMappingInfoDO.getId());
            }
        }
        fundNotMappingMapper.insertOrUpdate(fundNotMappingInfoDOList);
    }
}
